# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Class/Accessor/Fast.pm) perl(Config.pm) perl(Config/Any.pm) perl(Cwd.pm) perl(DBD/SQLite.pm) perl(DBD/mysql.pm) perl(DBI.pm) perl(DBIx/Connector.pm) perl(Data/Dumper.pm) perl(Data/Util.pm) perl(Exporter.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Path.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(Filter/Util/Call.pm) perl(FindBin.pm) perl(Hash/Merge/Simple.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(List/MoreUtils.pm) perl(MIME/Base64.pm) perl(Module/Build.pm) perl(Module/Pluggable/Object.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(PerlIO.pm) perl(Socket.pm) perl(Sub/Uplevel.pm) perl(Test/Deep.pm) perl(Text/Diff.pm) perl(Try/Tiny.pm) perl(UNIVERSAL/require.pm) perl(YAML.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm) perl(overload.pm) perl(parent.pm) perl(threads/shared.pm)
# END SourceDeps(oneline)
%define module_version 0.17
%define module_name DBIx-DBHResolver
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.17
Release: alt1
Summary: Resolve database connection on the environment has many database servers.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/Z/ZI/ZIGOROU/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
DBIx::DBHResolver resolves database connection on the environment has many database servers..The resolution algorithm is extensible and pluggable, because of this you can make custom strategy module easily.

This module can retrieve the DBI manpage's database handle object or connection information (data source, user, credential...) by labeled name
and treat same cluster consists many nodes as one labeled name, choose fetching strategy.

DBIx::DBHResolver is able to use as instance or static class.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/D*

%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.17-alt1
- initial import by package builder

